Skip to main content
Resource Center/Network Resource/L3 Network Operations

GetL3NetworkDhcpIpAddress

GetL3NetworkDhcpIpAddress

GET/zstack/v1/l3-networks/{l3NetworkUuid}/dhcp-ip

Operation ID

GetL3NetworkDhcpIpAddress

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • l3NetworkUuid
    StringRequired

    The L3 network UUID.

Query Parameters

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • ip
    StringRequired

    The IP address.

  • ip6
    StringRequired

    The IPv6 address.

  • success
    booleanRequired

    Whether the API succeeds.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

  • code
    StringRequired

    The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

  • description
    StringRequired

    The brief description of the error.

  • details
    StringRequired

    The details about the error.

  • elaboration
    StringRequired

    The reserved field. Default value: null.

  • opaque
    LinkedHashMapRequired

    The reserved field. Default value: null.

  • cause
    ErrorCodeRequired

    The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.